<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddLineReq StructType
 * @subpackage Structs
 */
class AddLineReq extends APIRequest
{
    /**
     * The line
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XLine
     */
    public $line;
    /**
     * Constructor method for AddLineReq
     * @uses AddLineReq::setLine()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XLine $line
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XLine $line = null)
    {
        $this
            ->setLine($line);
    }
    /**
     * Get line value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XLine|null
     */
    public function getLine()
    {
        return $this->line;
    }
    /**
     * Set line value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XLine $line
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\AddLineReq
     */
    public function setLine(\\Losc\CucmBundle\Model\Webservice\StructType\XLine $line = null)
    {
        $this->line = $line;
        return $this;
    }
}
